---

 source/interpret.c |    3 ++-
 source/interpret.h |    1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --quilt old/source/interpret.c new/source/interpret.c
--- old/source/interpret.c
+++ new/source/interpret.c
@@ -685,6 +685,7 @@ int ContinueMacro(RestartData *continuat
     	
     	/* Execute an instruction */
     	inst = PC++;
+        continuation->last = inst;
         if (inst->type != OP_INST) {
             status = execError(continuation,
                     "Unexpected instruction of type <%s>",
@@ -4421,7 +4422,7 @@ static char *stackDumpStr(RestartData *c
 #ifdef DEBUG_STACK
     const char *dump;
     static const char stackdumpMsg[] = "\n\nStack:\n";
-    disasmInternal(context->pc - 1, 1);
+    disasmInternal(context->last, 1);
     stackdumpInternal(context, 0, 50);
     dump = printd(NULL);
 #endif
diff --quilt old/source/interpret.h new/source/interpret.h
--- old/source/interpret.h
+++ new/source/interpret.h
@@ -141,6 +141,7 @@ typedef struct {
     DataValue *stackP;
     DataValue *frameP;
     Inst *pc;
+    Inst *last;
     Inst *loopStack[LOOP_STACK_SIZE];
     Inst **loopStackPtr;
     WindowInfo *runWindow;
